# ifndef SMALLLAMEGUI_H
# define SMALLLAMEGUI_H

# include <QDialog>
# include <QProcess>

# include "ui_smalllamegui.h"

class smalllamegui : public QDialog, public Ui::smalllamegui
{
	Q_OBJECT

public:
	smalllamegui(QWidget *parent = 0);

private slots:
	void flvOpen();
	void flvSave();
	void flvConvert();
	void normOpen();
	void normConvert();
	void wavOpen();
	void wavSave();
	void wavConvert();
	void mpOpen();
	void mpSave();
	void mpConvert();

	void flvFortschritt();
	void normFortschritt();
	void wavFortschritt();
	void mpFortschritt();

	void flvProcBeendet(int exitCode, QProcess::ExitStatus exitStatus);
	void normProcBeendet(int exitCode, QProcess::ExitStatus exitStatus);
	void wavProcBeendet(int, QProcess::ExitStatus exitStatus);
	void mpProcBeendet(int, QProcess::ExitStatus exitStatus);

	void ffmpegtest();
	void lametest();
	void normtest();

	QStringList openDialog(QString initialDir,const char* Filter);
	QString saveDialog(QString initialDir);


private:
	QProcess flvProc;
	QProcess normProc;
	QProcess wavProc;
	QProcess mpProc;
	QFont font;

	int flvGesamtzeit;
	int flvProz;
	int normProz;
	int wavProz;
	int mpProz;

	int firsttime;

	int jobs;
	int i;

};

# endif